 <script src="<?php echo base_url().'assets/dist/js/jquery/jquery-3.3.1.js'?>" type="text/javascript"></script>
    <script src="<?php echo base_url().'assets/dist/js/jquery/jquery-ui.js'?>" type="text/javascript"></script>
    <script type="text/javascript">
      
    $(document).ready(function(){
 
            $('#title').autocomplete({
                source: "<?php echo site_url('productos/Franquiciatario/productoPublico/productos');?>",
      
                select: function (event, ui) {
                    $('[name="title"]').val(ui.item.label); 
                    $('[name="TipoProducto"]').val(ui.item.TipoProducto); 
                    $('[name="Categoria"]').val(ui.item.Categoria);
                    $('[name="StockMinimo"]').val(ui.item.StockMinimo);
                    $('[name="PrecioCompra"]').val(ui.item.PrecioCompra);
                    $('[name="PrecioVenta"]').val(ui.item.PrecioVenta);
                    $('[name="DescripcionProducto"]').val(ui.item.DescripcionProducto); 
                    $('[name="IdProductosGenerales"]').val(ui.item.IdProductosGenerales); 
                }
            });
 
        });

    </script>